#
# spec file for package ghc-primitive
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name primitive
Name:           ghc-%{pkg_name}
Version:        0.6.2.0
Release:        8.1
Summary:        Primitive memory-related operations
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
This package provides various primitive memory-related operations.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc changelog.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.6.2.0 revision 1.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.1.0 revision 1 with cabal2obs.
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 0.6.1.0
  * Use more appropriate types in internal memset functions, which prevents
    overflows/segfaults on 64-bit systems.
  * Fixed a warning on GHC 7.10
  * Worked around a -dcore-lint bug in GHC 7.6/7.7
* Thu Apr  9 2015 mimi.vx@gmail.com
- update to 0.6
  + Split PrimMonad into two classes to allow automatic lifting of primitive
    operations into monad transformers. The internal operation has moved
    to the PrimBase class.
  + Fixed the test suite on older GHCs
  + Changed primitive_ to work around an oddity with GHC's code generation on
    certain versions that led to side effects not happening when used in
    conjunction with certain very unsafe IO performers.
  + Allow primitive to build on GHC 7.9
  + Implement cloneArray and cloneMutableArray primitives
    (with fall-back implementations for GHCs prior to version 7.2.1)
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- update to 0.5.2.1 for Haskell Platform 2014.2.0.0
- regenerate spec file
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- more transparent packaging (fewer macros)
* Sun Dec 30 2012 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Wed Oct 17 2012 peter.trommler@ohm-hochschule.de
- update to 0.5.0.1 for Haskell Platform 2012.4.0.0 RC2
* Tue Oct  2 2012 peter.trommler@ohm-hochschule.de
- update to 0.5 from upstream
- required by ghc-vector 0.10 as part of Haskell Platform 2012.4.0.0
* Fri Jun  8 2012 peter.trommler@ohm-hochschule.de
- use cabal2spec 0.25.5 spec file template
* Thu Jan 19 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
